# 寻觅的vim用法

言灵vim配置用法, 查看此教程前需对vim有一定了解, 如果您完全没有使用过vim, 请在命令行中执行 `vimtutor` 学习vim相关操作后再来查看此vim扩展
> 最少查看 `vimtutor` 的前三章

## 快捷键

vim常用快捷键记录

> 备注: <占位符>(\<leader>): 自定义键盘前缀, 默认为反斜杠`\` 在`~/.vimrc`可自定义 -> `let mapleader = 'x'`
> 冒号 `:` 开头的快捷键是需要用户在预览模式下输入启动

* `[数量]<占位符>cc` 注释当前行和选中行
* `[数量]<占位符>ci` 执行反转注释操作，选中区域注释部分取消注释，非注释部分添加注释
* `[数量]<占位符>cA` 跳转到该行结尾添加注释，并进入编辑模式
* `[数量]<占位符>cu` 取消注释

* `ctrl ]`      跳转到光标下的函数定义处
* `*`           在本文件中查找函数或变量
* `ctrl o`      返回跳转之前的位置
* `ctrl i`      返回 `ctrl o` 跳转之前的位置
* `]c`          跳转到下一个修改的位置
* `[c`          跳转到上一个修改的位置

* `ctrl g`      打开属性栏
* `ctrl n`      打开目录栏
* `<占位符>n`   将光标聚焦到目录
* `ctrl t`      切换目录状态（打开则关闭， 关闭则打开）
* `ctrl f`      打开目录搜索框
* `ctrl w`      多个窗口之间切换焦点, 按下此快捷键后在按上下左右或者k(上)j(下)h(左)l(右)
* `:sp`         水平切分窗口
* `:vsp`        垂直切分窗口
* `ctrl 6`      切换缓冲区
* `:bn`         切换到下一个缓冲区
* `:bp`         切换到上一个缓冲区

* `<占位符>ff`   目录搜索(相当于:Leaderf file)
* `<占位符>fb`   缓冲区搜索(相当于:Leaderf buffer)
* `<占位符>fm`   搜索最近使用的文件(相当于:Leaderf mru)
* `<占位符>ft`   在缓冲区中导航标签, 相当于搜索当前文件定义的函数(相当于:Leaderf bufTag)
* `<占位符>fl`   在缓冲区中搜索行, 相当于搜索当前文件(相当于:Leaderf line)
  * `ctrl j`      \[搜索窗口]向下移动搜索框
  * `ctrl k`      \[搜索窗口]向上移动搜索框
  * `ctrl x`      \[搜索窗口]在水平拆分窗口中打开
  * `ctrl ]`      \[搜索窗口]在垂直拆分窗口中打开
  * `ctrl T`      \[搜索窗口]在新选项卡页中打开
  * `ctrl ↓`      \[搜索窗口]在弹出预览窗口中向下滚动
  * `ctrl ↑`      \[搜索窗口]在弹出预览窗口中向上滚动
  * `ctrl R`      \[搜索窗口]在模糊搜索模式和正则表达式模式之间切换
  * `ctrl F`      \[搜索窗口]在全路径搜索模式和仅名称搜索模式之间切换
* `ctrl B`      使用 Leaderf 插件和 rg 命令在当前缓冲区中进行模糊搜索当前光标下的单词
* `ctrl F`      使用 Leaderf 插件和 rg 命令在所有文件中进行模糊搜索当前光标下的单词
* `gf`          在可视模式下选择文本后，使用 Leaderf 插件和 rg 命令进行精确搜索所选的文本
* `go`          执行上次搜索

## 代码补全工具(coc.nvim)

```vim
# 安装
:CocInstall [包名]
# 更新
:CocUpdate
# 移除
:CocUninstall [包名]
# 查看已安装
:CocList extensions
```

## 已安装插件

* 代码补全工具[neoclide/coc.nvim](https://gitcode.com/mirrors/neoclide/coc.nvim)
* 数状目录[scrooloose/nerdtree](https://gitcode.com/mirrors/scrooloose/nerdtree)
* VIM状态栏[vim-airline/vim-airline](https://gitcode.com/vim-airline/vim-airline/overview)
* VIM状态栏-皮肤[vim-airline/vim-airline-themes](https://gitcode.com/mirrors/vim-airline/vim-airline-themes)
* 注释工具[preservim/nerdcommenter](https://gitcode.com/mirrors/preservim/nerdcommenter/overview)
* 模糊搜索[Yggdroot/LeaderF](https://gitcode.com/Yggdroot/LeaderF/overview)
* Git插件[airblade/vim-gitgutter](https://gitcode.com/mirrors/airblade/vim-gitgutter)
* 标签栏[preservim/tagbar](https://gitcode.com/mirrors/preservim/tagbar)
